# Class SpatialRepresentationType

Object
CodeList<SpatialRepresentationType>
SpatialRepresentationType

All Implemented Interfaces:
  `Serializable, Comparable<SpatialRepresentationType>`

@UML(identifier="MD_SpatialRepresentationTypeCode", specification=ISO_19115) public final class SpatialRepresentationType extends CodeList<SpatialRepresentationType>
Method used to represent geographic information in the dataset.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final SpatialRepresentationType`
  `GRID`
  Grid data is used to represent geographic data.
  `static final SpatialRepresentationType`
  `STEREO_MODEL`
  Three-dimensional view formed by the intersecting homologous rays of an overlapping pair of images.
  `static final SpatialRepresentationType`
  `TEXT_TABLE`
  Textual or tabular data is used to represent geographic data.
  `static final SpatialRepresentationType`
  `TIN`
  Triangulated irregular network.
  `static final SpatialRepresentationType`
  `VECTOR`
  Vector data is used to represent geographic data.
  `static final SpatialRepresentationType`
  `VIDEO`
  Scene from a video recording.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SpatialRepresentationType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static SpatialRepresentationType`
  `valueOf(String code)`
  Returns the spatial representation type that matches the given string, or returns a new one if none match it.
  `static SpatialRepresentationType[]`
  `values()`
  Returns the list of `SpatialRepresentationType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### VECTOR

    @UML(identifier="vector", obligation=CONDITIONAL, specification=ISO_19115) public static final SpatialRepresentationType VECTOR
    Vector data is used to represent geographic data.

  - ### GRID

    @UML(identifier="grid", obligation=CONDITIONAL, specification=ISO_19115) public static final SpatialRepresentationType GRID
    Grid data is used to represent geographic data.

  - ### TEXT_TABLE

    @UML(identifier="textTable", obligation=CONDITIONAL, specification=ISO_19115) public static final SpatialRepresentationType TEXT_TABLE
    Textual or tabular data is used to represent geographic data.

  - ### TIN

    @UML(identifier="tin", obligation=CONDITIONAL, specification=ISO_19115) public static final SpatialRepresentationType TIN
    Triangulated irregular network.

  - ### STEREO_MODEL

    @UML(identifier="stereoModel", obligation=CONDITIONAL, specification=ISO_19115) public static final SpatialRepresentationType STEREO_MODEL
    Three-dimensional view formed by the intersecting homologous rays of an overlapping pair of images.

  - ### VIDEO

    @UML(identifier="video", obligation=CONDITIONAL, specification=ISO_19115) public static final SpatialRepresentationType VIDEO
    Scene from a video recording.

- ## Method Details

  - ### values

    public static SpatialRepresentationType[] values()
    Returns the list of `SpatialRepresentationType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public SpatialRepresentationType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<SpatialRepresentationType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static SpatialRepresentationType valueOf(String code)
    Returns the spatial representation type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.